from setuptools import find_namespace_packages, setup


def get_packages_requirements(raw=False):
    """Build the package & requirements list for this project"""
    reqs = [
        'requests',
        'setuptools',
        'pandas',
        'numpy',
        'requests',
        'pathlib']
    packs = find_namespace_packages(include=['ipc', 'ipc.*', 'settings'])
    return packs, reqs


packages, requirements = get_packages_requirements()

setup(
    name='polly-ipc',
    version='1.2.1',
    description='Wrapper for data ingestion and curation APIs',
    author='Shubhra',
    author_email='shubhra.agrawal@elucidata.io',
    packages=packages,
    include_package_data=True,
    install_requires=requirements
)
